# SoundEngine Class Reference

`#include <soundengine.h>`

List of all members.

## Public Types

enum | EngineState { Stop, Play, Empty }

## Public Slots

bool | load (const KURL &file)
void | pause ()
void | play ()
void | stop ()

## Public Member Functions

| SoundEngine (QObject *parent=0)
EngineState | state ()

## Detailed Description

Handles all playing, connecting to aRts. Does almost everything related to multimedia. Most interfacing should be done with Player

## Member Function Documentation

bool SoundEngine::load | ( | const KURL & | file | ) | `[slot]`

| Load a file

void SoundEngine::pause | ( |  | ) | `[slot]`

| Pause while playing

void SoundEngine::play | ( |  | ) | `[slot]`

| Start

void SoundEngine::stop | ( |  | ) | `[slot]`

| stops, and unloads

The documentation for this class was generated from the following files:

- /home/samy/kbilliards/src/soundengine.h
- /home/samy/kbilliards/src/soundengine.cpp